import { LanguageSupport, LRLanguage } from '@codemirror/language';
import { Extension } from "@codemirror/state";
type EvitaQLConfig = {
    mode?: EvitaQLMode;
};
interface EvitaQLMode {
}
declare class EvitaQLQueryMode implements EvitaQLMode {
    constructor();
}
declare class EvitaQLConstraintListMode implements EvitaQLMode {
    readonly listType: ConstraintListType;
    constructor(listType: ConstraintListType);
}
declare enum ConstraintListType {
    Filter = "FILTER",
    Order = "ORDER",
    Require = "REQUIRE"
}
declare function evitaQLCompletion(lang: LRLanguage, config: EvitaQLConfig): Extension;
declare const evitaQLLinter: import("@codemirror/state").Extension;
declare function evitaQLLanguage(config: EvitaQLConfig): LRLanguage;
declare function evitaQL(config?: EvitaQLConfig): LanguageSupport;
export { evitaQLLanguage, evitaQLCompletion, evitaQLLinter, EvitaQLConfig, EvitaQLQueryMode, EvitaQLConstraintListMode, ConstraintListType, evitaQL };
